List task sets
const url = 'https://example.com/api/v1/org/example/task-sets?sort_by=name&sort_dir=asc&page=1&limit=50&include_public=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/org/example/task-sets?sort_by=name&sort_dir=asc&page=1&limit=50&include_public=false' \ --header 'Authorization: Bearer <token>'List task sets visible to the caller (org-scoped, optionally public)
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Organization slug
Organization slug
Query Parameters
Section titled “Query Parameters”Column to sort by
Column to sort by
Sort direction
Sort direction
Page number (1-indexed)
Page number (1-indexed)
Items per page
Items per page
Include public sets from other orgs
Include public sets from other orgs
Responses
Section titled “ Responses ”Successful Response
Paginated list of task sets — domain-named items field per pagination conventions.
object
Whether a next page exists
Whether a previous page exists
Maximum items per page
Current page number (1-indexed)
List of task sets
Summary of a task set for list responses (TSS-CAT-004).
object
Small denormalized user identity for cross-domain byline display.
Number of members in the set
Total items matching the query
Total number of pages
Examplegenerated
{ "has_next": true, "has_previous": true, "limit": 1, "page": 1, "task_sets": [ { "created_at": "2026-04-15T12:00:00Z", "created_by_user": { "email": "example", "full_name": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "username": "example" }, "description": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_public": true, "member_count": 1, "name": "example", "org_key": "example", "organization_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source": "example", "tags": [ "example" ], "updated_at": "2026-04-15T12:00:00Z" } ], "total": 1, "total_pages": 1}Invalid request
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Authentication failed
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Access forbidden
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Not found
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Already exists
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Validation error
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Upgrade required
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Rate limited
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Internal server error
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Bad gateway
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Gateway timeout
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}